import { Module } from '@nestjs/common';
import { PairsService } from './pairs.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Pair } from './entities/pair.entity';
import { PairMember } from './entities/pair-member.entity';
import { UsersModule } from 'src/users/users.module';
import { Swipe } from 'src/swipes/entities/swipe.entity';

@Module({
  imports: [TypeOrmModule.forFeature([Pair, PairMember, Swipe]), UsersModule],
  providers: [PairsService],
  exports: [PairsService],
})
export class PairsModule {}
