import {
  Column,
  CreateDateColumn,
  Entity,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { User } from 'src/users/entities/user.entity';

@Entity('swipes')
export class Swipe {
  @PrimaryGeneratedColumn()
  id!: number;

  @ManyToOne(() => User, (user) => user.swipes)
  sourceUser: User;

  @ManyToOne(() => User, (user) => user.swiped)
  targetUser: User;

  @Column()
  liked: boolean;

  @CreateDateColumn({ type: 'timestamp' })
  createdAt: Date;
}
