import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Swipe } from './entities/swipe.entity';
import { SwipesService } from './swipes.service';
import { UsersModule } from 'src/users/users.module';
import { PairsModule } from 'src/pairs/pairs.module';
import { SwipesController } from './swipes.controller';

@Module({
  imports: [TypeOrmModule.forFeature([Swipe]), UsersModule, PairsModule],
  providers: [SwipesService],
  controllers: [SwipesController],
})
export class SwipesModule {}
