import { Exclude } from 'class-transformer';
import { Swipe } from 'src/swipes/entities/swipe.entity';
import {
  Column,
  CreateDateColumn,
  Entity,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';

@Entity('users')
export class User {
  @PrimaryGeneratedColumn()
  id!: number;

  @Column()
  name: string;

  @Column()
  @Exclude()
  password: string;

  @Column({ unique: true })
  email: string;

  @OneToMany(() => Swipe, (swipe) => swipe.sourceUser)
  swipes: Swipe[];

  @OneToMany(() => Swipe, (swipe) => swipe.targetUser)
  swiped: Swipe[];

  @CreateDateColumn({ type: 'timestamp' })
  createdAt: Date;
}
