import { HttpException, HttpStatus } from '@nestjs/common';

export class UserEmailNotExistsException extends HttpException {
  constructor() {
    super('User with this email does not exist', HttpStatus.NOT_FOUND);
  }
}

export class WrongCredentialsException extends HttpException {
  constructor() {
    super('Wrong credentials provided', HttpStatus.BAD_REQUEST);
  }
}

export class UserEmailExistsException extends HttpException {
  constructor() {
    super('User with that email already exists', HttpStatus.BAD_REQUEST);
  }
}

export class InternalErrorException extends HttpException {
  constructor() {
    super('Something went wrong', HttpStatus.INTERNAL_SERVER_ERROR);
  }
}

export class UserIdNotExistsException extends HttpException {
  constructor() {
    super('User with this id does not exist', HttpStatus.NOT_FOUND);
  }
}

export class UserNotBelongsToPair extends HttpException {
  constructor() {
    super('User do not belongs to this pair', HttpStatus.BAD_REQUEST);
  }
}
